const Input = ({ value = "", clearable = false } = {}) => {
  const node = document.createElement("div");
  node.classList.add("zhstat-input");

  const set = value => {
    node.classList.toggle(
      "clearable",
      clearable && value !== null && input.value !== ""
    );
    node.value = value;
  }

  const input = document.createElement("input");
  input.oninput = (event) => set(event.target.value);
  node.append(input);

  input.value = value;
  set(value);

  return node;
}

export {
  Input
}

